Skip to content
Newer
Older
100644 31 lines (26 sloc) 1.21 KB
a24b822 @igrigorik adding gemspec to repo
authored
1 # -*- encoding: utf-8 -*-
7b3af87 @mloughran Replaced jeweler with bundler-gemspec combo
mloughran authored
2 $:.push File.expand_path("../lib", __FILE__)
3 require "em-websocket/version"
a24b822 @igrigorik adding gemspec to repo
authored
4
5 Gem::Specification.new do |s|
7b3af87 @mloughran Replaced jeweler with bundler-gemspec combo
mloughran authored
6 s.name = "em-websocket"
7 s.version = EventMachine::Websocket::VERSION
8 s.platform = Gem::Platform::RUBY
941ad65 @mloughran I think I can safely say I'm an author at this stage...
mloughran authored
9 s.authors = ["Ilya Grigorik", "Martyn Loughran"]
10 s.email = ["ilya@igvita.com", "me@mloughran.com"]
7b3af87 @mloughran Replaced jeweler with bundler-gemspec combo
mloughran authored
11 s.homepage = "http://github.com/igrigorik/em-websocket"
12 s.summary = %q{EventMachine based WebSocket server}
a24b822 @igrigorik adding gemspec to repo
authored
13 s.description = %q{EventMachine based WebSocket server}
14
7b3af87 @mloughran Replaced jeweler with bundler-gemspec combo
mloughran authored
15 s.rubyforge_project = "em-websocket"
a24b822 @igrigorik adding gemspec to repo
authored
16
7b3af87 @mloughran Replaced jeweler with bundler-gemspec combo
mloughran authored
17 s.files = `git ls-files`.split("\n")
18 s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
19 s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
20 s.require_paths = ["lib"]
a24b822 @igrigorik adding gemspec to repo
authored
21
7b3af87 @mloughran Replaced jeweler with bundler-gemspec combo
mloughran authored
22 s.add_dependency("eventmachine", ">= 0.12.9")
23 s.add_dependency("addressable", '>= 2.1.1')
8dc773b @mloughran Use http_parser.rb and refactor handshake handling
mloughran authored
24 s.add_dependency("http_parser.rb", '~> 0.5.3')
4e80500 @sishen Force MaskedString#getbytes using encoding ASCII-8BIT, or else it wil…
sishen authored
25 s.add_development_dependency('em-spec', '~> 0.2.6')
d1856fd @mloughran Updated gemspec to workaround Syck errors
mloughran authored
26 s.add_development_dependency("eventmachine", "~> 0.12.10")
e19cf30 @mloughran Added rake & rspec to development dependencies, updated specs for rsp…
mloughran authored
27 s.add_development_dependency('em-http-request', '~> 0.2.6')
4e80500 @sishen Force MaskedString#getbytes using encoding ASCII-8BIT, or else it wil…
sishen authored
28 s.add_development_dependency('rspec', "~> 2.8.0")
e19cf30 @mloughran Added rake & rspec to development dependencies, updated specs for rsp…
mloughran authored
29 s.add_development_dependency('rake')
7b3af87 @mloughran Replaced jeweler with bundler-gemspec combo
mloughran authored
30 end
Something went wrong with that request. Please try again.